<mat-toolbar color="primary">
  <div class="logo">
    SMART Sales
    <div class="version" *ngIf="version$ | async as version">{{version}}</div>
  </div>
  <span class="fill-remaining-space title"> </span>
  <ng-container *ngIf="currentUser$ | async as user">
    <div>
      <button mat-button [matMenuTriggerFor]="menu">
        <img class="photo" alt="NA" *ngIf="user.photo !== ''" [src]="user.photo">
        <span class="photo" *ngIf="user.photo === ''"><mat-icon>account_circle</mat-icon></span>
      </button>
      <mat-menu #menu="matMenu">
        <app-user-info [user]="user"></app-user-info>
        <button mat-menu-item (click)="signOut()"><mat-icon>exit_to_app</mat-icon> {{'_.LOGOUT'|translate}}</button>
      </mat-menu>
    </div>
  </ng-container>
  <div>
    <button mat-button [matMenuTriggerFor]="menuTheme"><mat-icon>color_lens</mat-icon></button>
    <mat-menu #menuTheme="matMenu">
      <button mat-menu-item (click)="setTheme('light')">{{'_.THEME.LIGHT'|translate}}</button>
      <button mat-menu-item (click)="setTheme('dark')">{{'_.THEME.DARK'|translate}}</button>
    </mat-menu>
  </div>
  <app-language-selector></app-language-selector>
</mat-toolbar>
